## ctsim 6.0.2

=== doc/Makefile ===
docs := ctsim.tex texhelp.sty psbox.tex logo.eps logo.gif ctsim-sgp.tex ctsim-concepts.tex ctsim-gui.tex ctsim-install.tex ctsim-textui.tex ctsim-web.tex alphacalc.eps alphacalc.gif divergent.eps divergent.gif equiangular.eps equiangular.gif equilinear.eps equilinear.gif scangeometry.eps scangeometry.gif tex2rtf.ini ctsim.hpj bullet.bmp verbatim.sty mytitle.sty makeidx.sty mysober.sty fancyhea.sty ctsim-latex.bib ctsim-tex2rtf.bib

pkg=ctsim

all: htmlhelp html pdf 

CLEANFILES=$(pkg).ps $(pkg).hhc $(pkg).hhp $(pkg).hhk $(pkg).bib $(pkg).zip $(pkg).ilg $(pkg).ind $(pkg).dvi $(pkg).bb $(pkg).blg $(pkg).idx $(pkg).toc $(pkg).bbl $(pkg).con $(pkg).ref $(pkg).blg

clean:
	@rm -f $(CLEANFILES) $(pkg)*.html *.aux *.log *~ '#*~' '#*#' .*~
	@rm -rf html

.PHONY: pdf
pdf: ../docs/$(pkg).pdf

../docs/$(pkg).pdf: $(docs)
	$(MAKE) dvi
	dvipdfm $(pkg)
	mv $(pkg).pdf ../docs

#.PHONY: ps
#ps: $(pkg).ps
#$(pkg).ps: $(pkg).pdf
#	pdftops $(pkg).pdf $(pkg).ps

.PHONY: dvi
dvi: $(pkg).dvi
$(pkg).dvi: $(docs)
	cp $(pkg)-latex.bib $(pkg).bib
	latex $(pkg)
	bibtex $(pkg) > /dev/null
	latex $(pkg)
	makeindex $(pkg) > /dev/null
	latex $(pkg)

.PHONY: htmlhelp
htmlhelp: ../docs/$(pkg).htb

../docs/$(pkg).htb: $(docs)
	rm -f $(pkg)*.html $(pkg).hh[pck] $(pkg).zip
	cp $(pkg)-tex2rtf.bib $(pkg).bib
	tex2rtf $(pkg).tex $(pkg).html -html  > /dev/null
	./maphhc.pl
	zip -q $(pkg).zip *.html *.gif $(pkg).hh[pck]
	mv $(pkg).zip $(pkg).htb
	mv $(pkg).htb ../docs

.PHONY: html
html: ../docs/html.tar.gz

../docs/html.tar.gz: $(docs)
	rm -f $(pkg)*.html
	cp $(pkg)-tex2rtf.bib $(pkg).bib
	tex2rtf $(pkg).tex $(pkg).html -html  > /dev/null
	rm -rf html
	mkdir html
	cp *.gif html
	mv $(pkg)*.html html
	GZIP='-9' tar czf html.tar.gz html
	mv html.tar.gz ../docs
	rm -r html

#.PHONY: winhelp
#winhelp: $(docs)
#	rm -f $(pkg).rtf $(pkg).cnt
#	cp $(pkg)-tex2rtf.bib $(pkg).bib
#	tex2rtf $(pkg).tex $(pkg).rtf -winhelp
#	./maphhc.pl
#	hcw /c /m /e $(pkg).hpj
#	mv $(PKG).HLP $(pkg).hlp
#	cp $(pkg).hlp $(pkg).cnt ../docs/$(pkg)/

=== debian/changelog ===
ctsim (6.0.2-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:37:15 +0100

ctsim (6.0.2-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * include dir provided by wx3.0-headers
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/copyright
  * Fix doc-base control file

  [ Olly Betts ]
  * Build against GTK+3 flavour of wxWidgets (Closes: #933471)
    + New patch: improve-configure-wx-probes.patch

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 08:45:38 +0200

ctsim (6.0.2-2) unstable; urgency=medium

  * cme fix dpkg-control
     - Standards-Version: 4.1.4
     - (Re-)add Vcs-fields
     - Drop unneeded Breaks
  * Do not insert incorrect CPPFLAG for powerpc* (and other architectures)
    Closes: #896843
  * Update d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 25 Apr 2018 16:44:10 +0200

ctsim (6.0.2-1) unstable; urgency=low

  * New upstream
  * debian/tests/control: Start of test suite

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 21 Mar 2018 12:50:20 -0600

ctsim (6.0.1-1) unstable; urgency=low

  * Add missing autoconf file in scripts/.

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 21 Mar 2018 01:27:19 -0600

ctsim (6.0.0-2) unstable; urgency=low

  * Merge patches and packaging changes kindly make by Debian Med Team

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 21 Mar 2018 00:55:11 -0600

ctsim (6.0.0-1) unstable; urgency=low

  * New upstream, supports OpenMP parallelism and migrated to wxgtk3.0 and libpng1.6
  * debian/control: Update for wxgtk3

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Mar 2018 22:40:50 -0600

ctsim (5.2.0-4) unstable; urgency=medium

  * Fix watch file
  * Remove redundant README.Debian
  * hardening=+all
  * debhelper 10
  * Remove empty postinst script

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2016 10:17:38 +0100

ctsim (5.2.0-3) unstable; urgency=medium

  * cme fix dpkg-control
  * DEP3 header for libpng16 patch
  * Fix d/rules (thanks to Chris Lamb <lamby@debian.org> for the patch)
    Closes: 834574
  * Remove menu file
  * hardening=+all,-pie

 -- Andreas Tille <tille@debian.org>  Wed, 17 Aug 2016 13:36:53 +0200

ctsim (5.2.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng16" (Closes: #809897)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 12:58:10 +0100

ctsim (5.2.0-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (new patch: wx3.0-compat.patch)
    Closes: #751552

  [ Andreas Tille ]
  * Take over the package into Debian Med team
  * debian/control:
     - debhelper 9
     - Priority: optional
     - cme fix dpkg-control
  * Build-Depends on libpng-dev, change from libpng12-dev
    Closes: #662293
  * debian/copyright: DEP5
  * debian/rules: Use dh in d/rules
  * fix upstream Makefile issues (finally by using dh-autoreconf)
  * spelling fix

 -- Andreas Tille <tille@debian.org>  Mon, 11 Aug 2014 10:05:01 +0200

=== debian/control ===
Source: ctsim
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin M. Rosenberg <kmr@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libfftw3-dev,
               libreadline-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libwxgtk3.0-gtk3-dev,
               ctn-dev,
               libpng-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/ctsim
Vcs-Git: https://salsa.debian.org/med-team/ctsim.git
Homepage: http://www.ctsim.org

Package: ctsim
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ctsim-help
Recommends: ctsim-doc
Conflicts: ctsim
Description: Computed tomography simulator
 CTSim provides an interactive computed tomography simulator. Computed
 tomography is the technique of estimating the interior of an object
 by measuring x-ray absorption through that object.
 .
 CTSim has both command-line tools and a graphical user interface.
 CTSim has very educational trace modes for viewing the data
 collection simulation as well as the reconstruction.

Package: ctsim-help
Architecture: all
Depends: ${misc:Depends}
Description: Online help file for CTSim
 This package provides the online help file for the ctsim package.
 CTSim is a graphical computed tomography simulator.
 This help file
 is included in a separate package so it will not have to be include
 in the binary ctsim package for every architecture.

Package: ctsim-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ctsim
Description: Documentation for ctsim package
 This package provides HTML and PDF documentation files for the
 ctsim package. CTSim is a graphical computed tomography simulator.
 This documentation file
 is included in a separate package so it will not have to be include
 in the binary ctsim package for every architecture.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f helical/sample-helical.sh tools/sample-ctsim.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-ctn -with-x --without-lam

override_dh_installdocs-indep:
	(cd docs; tar xzf html.tar.gz)
	dh_installdocs -i

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=4

http://ctsim.org/download.html .*/ctsim/ctsim-([\d\.]*)\.tar\.gz
